Allow copy of multiple issues between project without using "move" interface

2009-10-26 23:34 - Andrew Sherman

Status: Closed Start date: 2009-10-26

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Summary:

I would like to see a new way to copy multiple issues between projects which does not involve using the "move" interface. Using the

"move" interface leads to mistakes where the user forgets to check the "copy" check box and ends up moving the issues instead of

copying them.

Use case:

I'm part of a team which regularly "pushes" new versions of our software into production. There are a number of standard steps

which need to be accomplished for each deployment (send notification email, deploy the app, review deployment logs, check audit

record, etc.) I have created all these standard issues in a project with the idea that they can be copied into the the actual project and

assigned to the appropriate version every time a new deployment occurs. This is currently problematic since it is quite easy to move

all these standard issues by mistake instead of copying them.

Related issues:

Related to Redmine - Feature #732: Bulk copy & move selected issues New 2008-02-24

Associated revisions

Revision 3122 - 2009-12-04 23:46 - Eric Davis

Enhanced the Issue Bulk Copy feature:

Add a Copy option to the Context menu for multiple issues.

Added assigned to, status, start and due date options to the move/copy form.

Allow Issue#move_to to change attributes on the moved/copied issue.   

#4117

History

#1 - 2009-12-04 23:40 - Eric Davis

- Category set to Issues

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

Simone Priori:

I've just added a few enhancements based on one of my client's requests (Shane and Peter, Inc) that should solve this for you.  In r3122 I added a

"Copy" item to the right click menu.  When it's selected, Redmine will still use the Move interface but it will check the "Copy" checkbox for you.  So if

you change your workflow to use the the "Copy" option instead of the "Move" option, it should just work for you.

I also added a few fields to the Move interface, so you can change some of the issue's values before moving/copying.

#2 - 2009-12-04 23:44 - Eric Davis

- File 4117-example.png added

2025-05-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/3122


Forgot to attach a screenshot of the new form.

 

#3 - 2009-12-05 11:16 - Kamil .

- Status changed from Closed to Reopened

I have not used this feature yet, but looking at the screenshot I think that it is not much intuitive to have "move" button and "copy" checkbox. Users

could ask them a questions "ok, so I have checked the 'copy', but the button still says 'move', WTF?"

Maybe two separate buttons?

Or maybe while "copy" is checked - change the name of the button (JS)?

#4 - 2009-12-05 11:40 - Jean-Philippe Lang

Now that we have the 2 action buttons (move / copy) on the context menu, we can remove the 'Copy' checkbox on this screen and display

appropriate title and submit buttons.

#5 - 2009-12-06 14:34 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed in r3127.
